// Дополнительное задание
let task = prompt("Введите название задания").toLowerCase();
switch (task) {
  case "switch: sizes":
    let size = prompt("Укажите размер", "");
    switch (true) {
      case (39 >= size): alert("Вы дрыщ!"); break;
      case (40 == size): alert("S"); break;
      case (42 == size):
      case (44 == size): alert("M");
        break;
      case (46 == size):
      case (48 == size): alert("L");
        break;
      case (50 == size):
      case (52 == size): alert("XL");
        break;
      case (54 == size): alert("XXL");
        break;
      case (55 <= size): alert("Пора в зал!"); break;
      default: alert("Указан неверный размер!");
    }
    break;
  case "switch: if":
    let color = prompt("Введите цвет", "");
    if (color) {
      if (color === "red") { document.write("<div style='background-color: red;'>красный</div> <div style='background-color: black; color: white;'>черный</div>"); }
      if (color === "black") { document.write("<div style='background-color: black; color: white;'>черный</div>"); }
      if (color === "blue") { document.write("<div style='background-color: blue;'>синий</div>"); }
      if (color === "green") { document.write("<div style='background-color: green;'>зеленый</div>"); }
    }
    else {
      document.write("<div style='background-color: gray;'>Я не понял</div>");
    }
    break;
  case "prompt: or":
    const number = prompt('Сколько Вам лет?');
    if (number == "" || number == null) {
      alert("Возраст не введен!");
    }
    const year = 2022;
    const date = (year - number)
    alert(`Ваш год рождения ${date} `);

    //confirm: or this days
    var shop = confirm("Шопинг?") || alert("Ты бяка");

    // confirm: if this days
    var shop = confirm("Шопинг?");
    if (!shop) {
      alert("Ты бяка");
    }
    break;
  case "triple prompt":
    let secondName = prompt("Введите фамилию");
    let userName = prompt("Введите имя");
    let patronymic = prompt("Введите отчество");
    alert(`ФИО ${secondName} ${userName} ${patronymic}`);
    break;
  case "default: or":
    let secondNameOr = prompt("Введите фамилию") || "Иванов";
    let userNameOr = prompt("Введите имя") || "Иван";
    let patronymicOr = prompt("Введите отчество") || "Иванович";
    alert(`ФИО ${secondNameOr} ${userNameOr} ${patronymicOr}`);
    break;
  case "default: if":
    let secondNameIf = prompt("Введите фамилию");
    if (!!secondNameIf) {
      secondNameIf = "Иванов";
    }
    let userNameIf = prompt("Введите имя");
    if (!!userNameIf) {
      userNameIf = "Иван";
    }
    let patronymicIf = prompt("Введите отчество");
    if (!!patronymicIf) {
      patronymicIf = "Иванович";
    }
    alert(`ФИО ${secondNameIf} ${userNameIf} ${patronymicIf}`);
    break;
  case "login and password":
    let loginRight = 'admin';
    let passwordRight = 'qwerty';
    let login = prompt('login');;
    let password = '';
    if (login == loginRight) {
      password = prompt('password');
      if (password == passwordRight) {
        alert('Welcome');
      }
      else {
        alert('Incorrect password');
      }
    }
    else {
      alert('Incorrect login');
    }
    break;
  case "currency calc":
    var currency = prompt("Введите валюту: usd или eur", "");
    var rate;
    switch (currency) {
      case "usd":
        rate = 40;
        break;
      case "eur":
        rate = 41;
        break;
      default: alert('Неправильно задана валюта');
    }
    var exchangeNumber = prompt("Введите сумму для конвертации", "");
    var result = exchangeNumber * rate;
    alert(`Сумма в ${currency} равна ${result}`);
    break;
  case "currency calc: improved":
    var currency = prompt("Введите валюту: usd или eur", "").toLowerCase();
    var rate;
    switch (currency) {
      case "usd":
        rate = 40;
        break;
      case "eur":
        rate = 41;
        break;
      default: alert('Неправильно задана валюта');
    }
    var exchangeNumber = prompt("Введите сумму для конвертации", "");
    var result = exchangeNumber * rate;
    alert(`Сумма в ${currency} равна ${result}`);
    break;
  case "currency calc: two rates":
    var currency = prompt("Введите валюту: usd или eur", "").toLowerCase();
    var confirmBuy = confirm("Вы желаете купить валюту?");
    var rate;
    switch (currency) {
      case "usd":
        confirmBuy ? rate = 40 : rate = 39;
        break;
      case "eur":
        confirmBuy ? rate = 41 : rate = 40;
        break;
      default: alert('Неправильно задана валюта');
    }
    var exchangeNumber = prompt("Введите сумму для конвертации", "");
    var result = exchangeNumber * rate;
    alert(`Сумма в ${currency} равна ${result}`);
    break;
  case "currency calc: if":
    var currency = prompt("Введите валюту: usd или eur", "").toLowerCase();
    var confirmBuy = confirm("Вы желаете купить валюту?");
    var rate;
    if (currency == "usd") {
      if (confirmBuy) {
        rate = 40;
      }
      else {
        rate = 39;
      }
    }
    else if (currency == "eur") {
      if (confirmBuy) {
        rate = 41;
      }
      else {
        rate = 40;
      }
    }
    else {
      alert('Неправильно задана валюта');
    }
    var exchangeNumber = prompt("Введите сумму для конвертации", "");
    var result = exchangeNumber * rate;
    alert(`Сумма в ${currency} равна ${result}`);
    break;
  case "scissors":
    var userInput = prompt("Введите камень-ножницы-бумага").toLowerCase();
    var randomInput = Math.floor(Math.random() * 3);
    if (randomInput == 0) {
      alert("Камень");
    }
    else if (randomInput == 1) {
      alert("Ножницы");
    }
    else if (randomInput == 2) {
      alert("Бумага");
    }
    else {
      alert('Неправильное значение');
    }
    if (((userInput == 'камень') && (randomInput == 0))
      || ((userInput == 'ножницы') && (randomInput == 1))
      || ((userInput == 'бумага') && (randomInput == 2))) {
      alert("Ничья");
    }
    if (((userInput == 'камень') && (randomInput == 1))
      || ((userInput == 'ножницы') && (randomInput == 2))
      || ((userInput == 'бумага') && (randomInput == 0))) {
      alert("Вы победили! :)");
    }

    if (((userInput == 'ножницы') && (randomInput == 0))
      || ((userInput == 'бумага') && (randomInput == 1))
      || ((userInput == 'камень') && (randomInput == 2))) {
      alert("Вы проиграли! :(");
    }
    break;
  case "задание на синий пояс":
    var currency = prompt("Введите валюту: usd или eur", "").toLowerCase();
    var ratios = {
      usd: 40,
      eur: 41
    }
    var rate;
    switch (currency) {
      case "usd":
        rate = ratios['usd'];
        break;
      case "eur":
        rate = ratios['eur'];
        break;
      default: alert('Неправильно задана валюта');
    }
    var exchangeNumber = prompt("Введите сумму для конвертации", "");
    var result = exchangeNumber * rate;
    alert(`Сумма в ${currency} равна ${result}`);
    break;
  case "real data":
    var exchangeNumber = prompt("Введите сумму для конвертации usd", "");
    var usdRate;
    fetch('https://open.er-api.com/v6/latest/USD').then(res => res.json())
      .then(data => {
        usdRate = data.rates.UAH;
      });
    var result = exchangeNumber * usdRate;
    alert(`Сумма в UAH равна ${result}`);
    break;
  default: alert("Неверно указано задание!");
}

// Задание на черный пояс
var userInput = prompt("Введите камень-ножницы-бумага").toLowerCase();
var randomInput = Math.floor(Math.random() * 3);
randomInput == 0 && alert("Камень")
  || randomInput == 1 && alert("Ножницы")
  || randomInput == 2 && alert("Бумага")
  || ((((userInput == 'камень') && (randomInput == 0))
    || ((userInput == 'ножницы') && (randomInput == 1))
    || ((userInput == 'бумага') && (randomInput == 2)))
    && alert("Ничья"))
  || ((((userInput == 'камень') && (randomInput == 1))
    || ((userInput == 'ножницы') && (randomInput == 2))
    || ((userInput == 'бумага') && (randomInput == 0)))
    && alert("Вы победили! :)"))
  || ((((userInput == 'ножницы') && (randomInput == 0))
    || ((userInput == 'бумага') && (randomInput == 1))
    || ((userInput == 'камень') && (randomInput == 2)))
    && alert("Вы проиграли! :("));